cache: pip
language: python
os: linux

jobs:
  include:
    - dist: focal
      python: "3.7"
    - dist: focal
      python: "3.8"
    - dist: focal
      python: "3.9"

addons:
  apt:
    packages:
    - postgresql-13
    - postgresql-client-13
    - samtools
    - pandoc

before_script:
  - sudo service postgresql@13-main start
  - sudo -u postgres psql -V
  - psql -c "create user username with encrypted password 'password';" -U postgres
  - psql -c "create database yourdatabase with owner username;" -U postgres
  - psql -c "alter user username createdb;" -U postgres
  - pip install coverage
  - wget https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-5.6.14.deb
  - sudo dpkg -i --force-confnew elasticsearch-5.6.14.deb
  - pip install git+https://github.com/django-haystack/django-haystack
  - pip install 'elasticsearch>=5,<6'
  - pip install flake8 flake8-black

script:
  - python setup.py install
  - django-admin startproject WEBPROJECT
  - export PYTHONPATH=`pwd`; coverage run WEBPROJECT/manage.py test machado --settings machado.tests.settings
  - flake8 machado

after_success:
  - pip install codecov
  - codecov

notifications:
  email: false
